config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    rm $NEW
  fi
}

preserve_perms() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ -e $OLD ]; then
    cp -a $OLD ${NEW}.incoming
    cat $NEW > ${NEW}.incoming
    mv ${NEW}.incoming $NEW
  fi
  config $NEW
}

preserve_perms etc/rc.d/rc.sslh.new
config etc/sslh/sslh.cfg.new
config etc/default/sslh.new
( cd usr/man/man8 ; rm -rf sslh-fork.8.gz )
( cd usr/man/man8 ; ln -sf sslh.8.gz sslh-fork.8.gz )
( cd usr/man/man8 ; rm -rf sslh-select.8.gz )
( cd usr/man/man8 ; ln -sf sslh.8.gz sslh-select.8.gz )
( cd usr/sbin ; rm -rf sslh )
( cd usr/sbin ; ln -sf sslh-fork sslh )
